跳至內容

Ideogram V3 Character

整合

模型 id ideogram/character
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/character?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.15 150 API 點數 · ≈ ₽15.82 在此頁面執行

取得 API 金鑰
Ideogram 圖像編輯 參考輸入 #character-consistency

使用參考影像維持角色一致性的 Ideogram V3 生成

Ideogram · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

描述圖像遮罩區域填補內容的提示詞。

•必填
拖放檔案,或

JPEG、PNG 或 WebP 格式的角色參考圖像,所有角色參考合計上限為 10 MB。目前僅支援 1 張圖像;其他圖像會被忽略。

rendering_speed 預設 BALANCED

渲染速度設定。

image_size 預設 square_hd

輸出圖像使用的解析度。

num_images 預設 1

要產生的圖像數量。

進階 negative_prompt · images · reference_mask_urls · style · seed · expand_prompt · style_codes · color_palette
預設

指定不需要的圖像內容;主要提示詞的描述優先於這些負面提示詞描述。

image_urls
拖放檔案,或

JPEG、PNG 或 WebP 格式的風格參考圖像。合計大小不得超過 10 MB。

拖放檔案,或

JPEG、PNG 或 WebP 格式的角色參考遮罩;所有角色參考合計大小不得超過 10 MB。目前僅使用 1 個遮罩,其他遮罩會被忽略。

style 預設 AUTO

用於生成的風格類型;與 style_codes 互斥。

隨機數生成的種子值。

以每組 8 個字元的十六進位字串提供的圖像風格代碼;使用此清單時,請省略 style_reference_images 與 style。

生成期間使用的色彩調色盤。可透過名稱指定預設集,或透過 members 指定明確的十六進位顏色,並可選擇加入權重。

POST /run/ideogram/character?wait=20 報價 → $0.15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/character?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Ideogram V3 Character

根據 `prompt` 和 `reference_image_urls` 中的參考影像生成角色圖片(僅使用 1 張影像)。可選的風格參考放在 `image_urls` 中,並搭配 `style_codes`、`color_palette` 和 `reference_mask_urls` 進行更精細的控制。`rendering_speed` 可為 TURBO、BALANCED 或 QUALITY,`num_images` 最多為 8。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_urls選填 images
類型url[] · image
JPEG、PNG 或 WebP 格式的風格參考圖像。合計大小不得超過 10 MB。
rendering_speed選填
類型enum
預設值BALANCED
TURBOBALANCEDQUALITY
渲染速度設定。
color_palette選填
類型object
生成期間使用的色彩調色盤。可透過名稱指定預設集,或透過 members 指定明確的十六進位顏色,並可選擇加入權重。
color_palette.members選填
類型object[]
定義調色盤顏色的調色盤成員清單。
color_palette.members[].rgb必填
類型object
以 RGB 表示的調色盤成員顏色。
color_palette.members[].color_weight選填
類型number | null
預設值0.5
0.05 – 1
指派給調色盤中此顏色的權重。
color_palette.name選填
類型enum
EMBERFRESHJUNGLEMAGICMELONMOSAICPASTELULTRAMARINE
色彩調色盤的預設集選擇。
style_codes選填
類型string[]
以每組 8 個字元的十六進位字串提供的圖像風格代碼;使用此清單時,請省略 style_reference_images 與 style。
style選填
類型enum
預設值AUTO
AUTOREALISTICFICTION
用於生成的風格類型;與 style_codes 互斥。
expand_prompt選填
類型boolean
預設值true
請求生成的 MagicPrompt 使用切換設定。
num_images選填 num_outputs
類型integer
預設值1
1 – 8
要產生的圖像數量。
seed選填
類型integer | null
隨機數生成的種子值。
prompt必填
類型string
描述圖像遮罩區域填補內容的提示詞。
image_size選填
類型object
預設值square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
輸出圖像使用的解析度。
negative_prompt選填
類型string
預設值
指定不需要的圖像內容;主要提示詞的描述優先於這些負面提示詞描述。
reference_image_urls必填
類型url[] · image
JPEG、PNG 或 WebP 格式的角色參考圖像,所有角色參考合計上限為 10 MB。目前僅支援 1 張圖像;其他圖像會被忽略。
reference_mask_urls選填
類型url[] · image
JPEG、PNG 或 WebP 格式的角色參考遮罩;所有角色參考合計大小不得超過 10 MB。目前僅使用 1 個遮罩,其他遮罩會被忽略。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/character",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 150,
    "usd": "0.15",
    "charged": 150,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size}
seed
integer用於隨機數生成的種子值。

更多模型:圖像編輯

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/ideogram/character.md. 所有模型與指南: https://doitong.com/developers/llms.txt